A comprehensive suite of services that provides access to CDQ metadata. It is designed to offer basic services to apply such a metadata, for instance, for parsing.
Metadata API (5)
Download OpenAPI description
Languages
Servers
Production
https://api.cdq.com/metadata/rest
Request
Provides metadata on external data sources such as legal forms, address data, or legal entity data. Results are paged by optional query parameters and filtered by additional parameters such as country short name or concepts provided by the particular data source.
Security
apiKey
Query
Technical key of a CDQ data model concept.
Example: managedConceptTechnicalKey=LEGAL_FORM
DEPRECATED, use 'releaseStatus' instead.
Example: implementationStatus=ACTIVE
According to CDLD-22386 list of 4,5,6,7, corresponds to active data sources.
Example: releaseStatus=4,5,6,7
ISO code of a country this data source is used in as a primary data source for compiling golden records.
Example: primaryInCountry=CH
ISO code of a country this data source is used in as a preferred data source for compiling golden records.
Example: preferredInCountry=CH
- Productionhttps://api.cdq.com/metadata/rest/v3/datasources
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.cdq.com/metadata/rest/v3/datasources?countryShortName=CH&managedConceptTechnicalKey=LEGAL_FORM&aleiPrefix=DE.RC&technicalKey=DE_RC&implementationStatus=ACTIVE&releaseStatus=4%2C5%2C6%2C7&primaryInCountry=CH&preferredInCountry=CH&unallowedInCountry=CH' \
-H 'X-API-KEY: YOUR_API_KEY_HERE'Response
application/json
{ "pageSize": "10", "page": "1", "total": "100", "values": [ { … } ] }